Skip to main content
GET
Search Conversation Events

Path Parameters

conversation_id
string<uuid>
required

Query Parameters

page_id
string | null
limit
integer
default:100
kind
string | null
source
string | null
body
string | null
sort_order
enum<string>
default:TIMESTAMP

Enum for event sorting options.

Available options:
TIMESTAMP,
TIMESTAMP_DESC
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null

Response

Successful Response

items
(Condensation · object | CondensationRequest · object | CondensationSummaryEvent · object | ConversationErrorEvent · object | ConversationStateUpdateEvent · object | LLMCompletionLogEvent · object | ActionEvent · object | MessageEvent · object | AgentErrorEvent · object | ObservationEvent · object | UserRejectObservation · object | SystemPromptEvent · object | TokenEvent · object | PauseEvent · object)[]
required

This action indicates a condensation of the conversation history is happening.

next_page_id
string | null